<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>DNSSD::DomainBrowser</name>
    <filename>classDNSSD_1_1DomainBrowser.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>domainRemoved</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>08723a839a5d8fb8b134ef5919acaa8d</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>domainAdded</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>8a75dbe0dfe08f31fdf15df5b337c7ea</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DomainBrowser</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>09cdd188663c8c7c5bd77cb23cdfe08c</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DomainBrowser</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>572ae933c2064d25616babbd78d794fc</anchor>
      <arglist>(const QStringList &amp;domains, bool recursive=false, QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>domains</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>725d597d2947264389abec7c52ce51aa</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startBrowse</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>12fb240ff7116909446af3dc7d8e41c8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>d41dfb1aa7e3069264446a7b7c64394f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>0ce68cac0d8bc49853fa96d63b05bb04</anchor>
      <arglist>(int, void *)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>DomainBrowserPrivate</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>28ed06be15b4eac6ca8ce4720bde59db</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::PublicService</name>
    <filename>classDNSSD_1_1PublicService.html</filename>
    <base>QObject</base>
    <base>DNSSD::ServiceBase</base>
    <member kind="signal">
      <type>void</type>
      <name>published</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>82b92721e5e16120025e7ca227d3acd4</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PublicService</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>ba08196c900daa315183a2a56528c2c8</anchor>
      <arglist>(const QString &amp;name=QString::null, const QString &amp;type=QString::null, unsigned int port=0, const QString &amp;domain=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>dd2848571a063846abd8c2ad9a6a5db5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>publish</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>b6bf6a8885e05b524fe0e11f74d76e7f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPublished</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>0a4924307783876dfc2ac2a57745697b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>publishAsync</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>aba2dcc58ba948a47e59e3096fb9ba8b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTextData</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>5bf386f9cfdf038a603ccb99a8612898</anchor>
      <arglist>(const QMap&lt; QString, QString &gt; &amp;textData)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setServiceName</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>f6cd9f52c82dd09c99faf26f453bcb75</anchor>
      <arglist>(const QString &amp;serviceName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>e255307df0186652abd3895d9766095f</anchor>
      <arglist>(const QString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPort</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>88997bcde16f96ef432e5465ceee6be0</anchor>
      <arglist>(unsigned short port)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDomain</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>fa21e3f76b3c84290df092230d5f71ee</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type>const KURL</type>
      <name>toInvitation</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>4255fa24e59335a0cf9ccabfe94fc2e6</anchor>
      <arglist>(const QString &amp;host=QString::null)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>customEvent</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>52728f307d2b0a82cfbe7e18bf9fd255</anchor>
      <arglist>(QCustomEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>995bc985b35cd38f325fe107028abe5c</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::Query</name>
    <filename>classDNSSD_1_1Query.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>serviceAdded</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>95bcd3732a1ddc1aa99ba3e0bfc2a69e</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>serviceRemoved</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>a1b5b2884fbddbda62e755eef27d9cb9</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>8bcffc1973fe37309a69f3748e49ce60</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Query</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>b3e761333505aefef017416d11cece36</anchor>
      <arglist>(const QString &amp;type, const QString &amp;domain)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startQuery</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>09625dcd2e149600fcf97726a9686dd4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>bed6cbb52c21b66015d2e0f1281f4b87</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isFinished</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>03f6ec44f0df67eeb055d0a957dfb464</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>domain</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>f3bd950a86c3f2a82f229fefcc209c8f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>befd9d46146956f623d7dc217c579fdf</anchor>
      <arglist>(int, void *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>customEvent</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>a9f4224ee88021d53c74371b85727632</anchor>
      <arglist>(QCustomEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::RemoteService</name>
    <filename>classDNSSD_1_1RemoteService.html</filename>
    <base>QObject</base>
    <base>DNSSD::ServiceBase</base>
    <member kind="typedef">
      <type>KSharedPtr&lt; RemoteService &gt;</type>
      <name>Ptr</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>69b7cb209efdfc9d6a292a8152134577</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>resolved</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>1582e9715e8e0765cd661a7280ce0650</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RemoteService</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>c8232a2b04e40eb08eecdf1950450b6e</anchor>
      <arglist>(const QString &amp;label)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RemoteService</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>cfbb6fad28c33d0237a787c356c2846b</anchor>
      <arglist>(const QString &amp;name, const QString &amp;type, const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RemoteService</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>0f8adb445ef3ca2dde64acf7b2409392</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resolveAsync</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>232681da1e7feb37068f1738b39c774f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>resolve</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>6c13d09c59beb4bb258fd1327852c4cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isResolved</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>e91c0f6fd988555ff573e679d51f3987</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>4d937a40a6f173873ebbfd7c44b64527</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>customEvent</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>782ab2381cb6032a6b99b12eee1d519f</anchor>
      <arglist>(QCustomEvent *event)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend KDNSSD_EXPORT QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>76be02c16276313f7e402fa75b721811</anchor>
      <arglist>(QDataStream &amp;s, const RemoteService &amp;a)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend KDNSSD_EXPORT QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>08a514b38daabe2b60746881499462b6</anchor>
      <arglist>(QDataStream &amp;s, RemoteService &amp;a)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::Responder</name>
    <filename>classDNSSD_1_1Responder.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>process</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>97157809b498d2752bdb93dba2295e30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Responder</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>6143f00f225dc02a618d40f2872187b1</anchor>
      <arglist>(DNSServiceRef ref=0, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>c2f324e5372a2c872812cd1421616cbb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRef</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>9960f206af06bb72a0582ff25e3ecce2</anchor>
      <arglist>(DNSServiceRef ref)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>3a10f3ae1373c2df00189ee53e5f7dcc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>DNSServiceRef</type>
      <name>m_ref</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>97f085f454eeac7c017b5646a779c236</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_running</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>f92ce11eafc78c84c0652a4197531927</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSocketNotifier *</type>
      <name>m_socket</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>b740e29e461040243ad9e2b7c20931a9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::ServiceBase</name>
    <filename>classDNSSD_1_1ServiceBase.html</filename>
    <member kind="typedef">
      <type>KSharedPtr&lt; ServiceBase &gt;</type>
      <name>Ptr</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a21dbfb50e950df6819ac1a123228d05</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBase</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>d967697d4895cf3820608d6c41cb4620</anchor>
      <arglist>(const QString &amp;name=QString::null, const QString &amp;type=QString::null, const QString &amp;domain=QString::null, const QString &amp;host=QString::null, unsigned short port=0)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>serviceName</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>01aae186d968ec052111937d5d5571aa</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>type</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>30990de2090aa3f4331077805656a300</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>domain</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>5c750a38f8591812a074666c241a75c3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>hostName</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>d9e92686fed4aedde2cba535e90c6481</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>port</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a026ea0c761590c01a3c6d443efe301b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QMap&lt; QString, QString &gt; &amp;</type>
      <name>textData</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>2c7e7e0d5533bbde038f072365739977</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>encode</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>469a066dae7325845b3f717d910e3b2a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>decode</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>768f571a6bca530db3124b8d3190591f</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>c7a4b66efc685cd7f04d22895e40ee63</anchor>
      <arglist>(int, void *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_serviceName</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a5e90bc86fc87432f0cff13f922af60b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_type</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>3c97aa37e3b85d32349cd5f64908e611</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_domain</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>7a513f3ae6a4205c0dadd98a0f6255fd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_hostName</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>ef72aeba9f0895699f5a344023ecae1d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned short</type>
      <name>m_port</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a0720bbf0c463a12c330adbbb1a476e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QMap&lt; QString, QString &gt;</type>
      <name>m_textData</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>afc9adf3be5ded977e1ec96b9482f60d</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend KDNSSD_EXPORT QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>e86144b510730ee184876decfaceb5d0</anchor>
      <arglist>(QDataStream &amp;s, const ServiceBase &amp;a)</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend KDNSSD_EXPORT QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>c77d01b3156782600f3c84102357b6bb</anchor>
      <arglist>(QDataStream &amp;s, ServiceBase &amp;a)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::ServiceBrowser</name>
    <filename>classDNSSD_1_1ServiceBrowser.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>Flags</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>10145786fee881ef381335e338142cc8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>State</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>e9f85071521523b84724e35008de67f3</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>removeDomain</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>de4cc268e006a114ac19ae5b1d9eb671</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>addDomain</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>e67a3a3affccd42836984a781f471677</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>serviceAdded</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>0ec829e711803a1581cbf9bfe3a1c74e</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>serviceRemoved</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>55ffe360c6e153270c00ed812d7dd21c</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>3c84a5bef984db1d92ba7c9f01ade76d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBrowser</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>1c261a2da3197e0348ecba0001f9eca9</anchor>
      <arglist>(const QStringList &amp;types, DomainBrowser *domains, int flags)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBrowser</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>07f506cac5cb4029692cb2f88492ec80</anchor>
      <arglist>(const QString &amp;type, DomainBrowser *domains=0, bool autoResolve=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBrowser</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>3287b05ec16dc8f555bd9e6ff75a41b9</anchor>
      <arglist>(const QString &amp;type, const QString &amp;domain, int flags)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBrowser</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>b3a99e75094f374989ab23ba40de4b07</anchor>
      <arglist>(const QString &amp;type, const QString &amp;domain, bool autoResolve=false)</arglist>
    </member>
    <member kind="function">
      <type>const QValueList&lt; RemoteService::Ptr &gt; &amp;</type>
      <name>services</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>f449530c4386c14f84ae6ce78856b6ac</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startBrowse</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>0cac558b7221b7be7f5ce2c92ce9cf06</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const DomainBrowser *</type>
      <name>browsedDomains</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>f601e99c0c5e3c9da10379aac901f09f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const State</type>
      <name>isAvailable</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>f12dec77721d32b2722e08f8855f4386</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const QString</type>
      <name>AllServices</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>8160b0aa878a7df249d19ef039b0b443</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>7c42a6eeca5160ece54de1007129577f</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
</tagfile>
