<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>KUnitTest - a UnitTest library for KDE</title>
    <filename>index</filename>
    <docanchor file="index">contents</docanchor>
    <docanchor file="index">scripts</docanchor>
    <docanchor file="index">background</docanchor>
    <docanchor file="index">advanced</docanchor>
    <docanchor file="index">module</docanchor>
    <docanchor file="index">usage</docanchor>
    <docanchor file="index">integration</docanchor>
    <docanchor file="index">exceptions</docanchor>
  </compound>
  <compound kind="file">
    <name>module.h</name>
    <path>/builddir/build/BUILD/kdelibs-3.5.10/kunittest/</path>
    <filename>module_8h</filename>
    <includes id="runner_8h" name="runner.h" local="no" imported="no">kunittest/runner.h</includes>
    <namespace>KUnitTest</namespace>
    <member kind="define">
      <type>#define</type>
      <name>KUNITTEST_MODULE</name>
      <anchorfile>module_8h.html</anchorfile>
      <anchor>575d7139957626186dfcf0876344606f</anchor>
      <arglist>(library, suite)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KUNITTEST_MODULE_REGISTER_TESTER</name>
      <anchorfile>module_8h.html</anchorfile>
      <anchor>cdb9aa969d8df77112699dd5e1c64ad1</anchor>
      <arglist>(tester)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KUNITTEST_MODULE_REGISTER_NAMEDTESTER</name>
      <anchorfile>module_8h.html</anchorfile>
      <anchor>15826ba5edbbfb8685679f3abafab2f0</anchor>
      <arglist>(name, tester)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>runner.h</name>
    <path>/builddir/build/BUILD/kdelibs-3.5.10/kunittest/</path>
    <filename>runner_8h</filename>
    <includes id="tester_8h" name="tester.h" local="yes" imported="no">tester.h</includes>
    <namespace>KUnitTest</namespace>
    <class kind="class">KUnitTest::Runner</class>
    <class kind="class">KUnitTest::TesterAutoregister</class>
    <member kind="define">
      <type>#define</type>
      <name>KUNITTEST_SUITE</name>
      <anchorfile>runner_8h.html</anchorfile>
      <anchor>a7b876841a47e0102949946e21301b1d</anchor>
      <arglist>(suite)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KUNITTEST_REGISTER_TESTER</name>
      <anchorfile>runner_8h.html</anchorfile>
      <anchor>c1af23b0a525c05b4c17c5f16f7be550</anchor>
      <arglist>(tester)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>KUNITTEST_REGISTER_NAMEDTESTER</name>
      <anchorfile>runner_8h.html</anchorfile>
      <anchor>78846d4d4a475d086a6f1fc473c44626</anchor>
      <arglist>(name, tester)</arglist>
    </member>
    <member kind="typedef">
      <type>QAsciiDict&lt; Tester &gt;</type>
      <name>RegistryType</name>
      <anchorfile>namespaceKUnitTest.html</anchorfile>
      <anchor>e6042c7e0caf0f8a74dd9bc5229e5105</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QAsciiDictIterator&lt; Tester &gt;</type>
      <name>RegistryIteratorType</name>
      <anchorfile>namespaceKUnitTest.html</anchorfile>
      <anchor>d297fb33de82057f84899ca7c9a2aa0b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>tester.h</name>
    <path>/builddir/build/BUILD/kdelibs-3.5.10/kunittest/</path>
    <filename>tester_8h</filename>
    <namespace>KUnitTest</namespace>
    <class kind="class">KUnitTest::TestResults</class>
    <class kind="class">KUnitTest::Tester</class>
    <class kind="class">KUnitTest::SlotTester</class>
    <member kind="define">
      <type>#define</type>
      <name>CHECK</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>4fd95491287cc131e6ae4f5dafc26ac1</anchor>
      <arglist>(x, y)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>COMPARE</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>34d12e2e386464a40aff3b4d9cf7019e</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>VERIFY</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>3675cf895544424c921cf6f8f5e91887</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>XFAIL</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>083ae9c5c4eda5232b45ec2e1f8f1801</anchor>
      <arglist>(x, y)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>SKIP</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>634ab9b9480188b1ed710cbedd91f156</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>CHECK_EXCEPTION</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>0b66e2c1e37fa4ef3d20468f6c478234</anchor>
      <arglist>(exceptionCatch, expression)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>XFAIL_EXCEPTION</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>a9792f7d211cb95f23e38ab30f7aad9d</anchor>
      <arglist>(exceptionCatch, expression)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>SKIP_EXCEPTION</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>6f8532018c41967598a798ae9e3ed943</anchor>
      <arglist>(exceptionCatch, expression)</arglist>
    </member>
    <member kind="typedef">
      <type>QAsciiDict&lt; TestResults &gt;</type>
      <name>TestResultsListType</name>
      <anchorfile>namespaceKUnitTest.html</anchorfile>
      <anchor>ee76d240475fb2b7d6caa66c08c71459</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QAsciiDictIterator&lt; TestResults &gt;</type>
      <name>TestResultsListIteratorType</name>
      <anchorfile>namespaceKUnitTest.html</anchorfile>
      <anchor>9aedfececa9a1df3b01bc466a446b7f1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>KUNITTEST_EXPORT QTextStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>0e09eb5a9b2da5213829ca614e8d8fd1</anchor>
      <arglist>(QTextStream &amp;str, const QRect &amp;r)</arglist>
    </member>
    <member kind="function">
      <type>KUNITTEST_EXPORT QTextStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>c29c3c63e4bc6892100e493effed1b24</anchor>
      <arglist>(QTextStream &amp;str, const QPoint &amp;r)</arglist>
    </member>
    <member kind="function">
      <type>KUNITTEST_EXPORT QTextStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>tester_8h.html</anchorfile>
      <anchor>f1dc5f9b1b90edd535ebf939e0a2c385</anchor>
      <arglist>(QTextStream &amp;str, const QSize &amp;r)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KUnitTest</name>
    <filename>namespaceKUnitTest.html</filename>
    <class kind="class">KUnitTest::Runner</class>
    <class kind="class">KUnitTest::TesterAutoregister</class>
    <class kind="class">KUnitTest::TestResults</class>
    <class kind="class">KUnitTest::Tester</class>
    <class kind="class">KUnitTest::SlotTester</class>
    <member kind="typedef">
      <type>QAsciiDict&lt; Tester &gt;</type>
      <name>RegistryType</name>
      <anchorfile>namespaceKUnitTest.html</anchorfile>
      <anchor>e6042c7e0caf0f8a74dd9bc5229e5105</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QAsciiDictIterator&lt; Tester &gt;</type>
      <name>RegistryIteratorType</name>
      <anchorfile>namespaceKUnitTest.html</anchorfile>
      <anchor>d297fb33de82057f84899ca7c9a2aa0b</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QAsciiDict&lt; TestResults &gt;</type>
      <name>TestResultsListType</name>
      <anchorfile>namespaceKUnitTest.html</anchorfile>
      <anchor>ee76d240475fb2b7d6caa66c08c71459</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QAsciiDictIterator&lt; TestResults &gt;</type>
      <name>TestResultsListIteratorType</name>
      <anchorfile>namespaceKUnitTest.html</anchorfile>
      <anchor>9aedfececa9a1df3b01bc466a446b7f1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KUnitTest::Runner</name>
    <filename>classKUnitTest_1_1Runner.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>int</type>
      <name>runTests</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>51b6c4f003e220d1c4d94e64308d1733</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>runTest</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>0a88f41817d5b05f69314e3e945142aa</anchor>
      <arglist>(const char *name)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>runMatchingTests</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>12527aea36ba60da20d77809747ee114</anchor>
      <arglist>(const QString &amp;prefix)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>9d020e0846f094d65bd907362a6a730e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>d643ae95b4122771a3f59acc32e896e0</anchor>
      <arglist>(const char *name, Tester *test)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>invoke</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>35b692f177e949f47386970dca407235</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>RegistryType &amp;</type>
      <name>registry</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>3cd1272048ec880f995f3d4982608c59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfTestCases</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>dd46ea27cc802e2c3e605ed674a9baa8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfTests</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>f88911685ad663aa6e2dec6e366e6870</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfPassedTests</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>8e040e6b316d618a501d10c84fe18d61</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfFailedTests</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>1020ab59b6cb4c6a3d4aab48eabaa71e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfExpectedFailures</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>8f99bf977d920827bc927b18115e1242</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numberOfSkippedTests</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>e6a6453c76c1a839061b21f2978033cb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>registerTester</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>709265a9964265f29ad21f146923db6e</anchor>
      <arglist>(const char *name, Tester *test)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Runner *</type>
      <name>self</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>b86c6491c3420ce30839d487d975a187</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadModules</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>0873b0e14590761e7fae7aa0d2f163dd</anchor>
      <arglist>(const QString &amp;folder, const QString &amp;query)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setDebugCapturingEnabled</name>
      <anchorfile>classKUnitTest_1_1Runner.html</anchorfile>
      <anchor>e1376bfafbb49258b49e5ff9d5a94046</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KUnitTest::TesterAutoregister</name>
    <filename>classKUnitTest_1_1TesterAutoregister.html</filename>
    <member kind="function">
      <type></type>
      <name>TesterAutoregister</name>
      <anchorfile>classKUnitTest_1_1TesterAutoregister.html</anchorfile>
      <anchor>1514148cb5082cce8a334791f352a108</anchor>
      <arglist>(const char *name, Tester *test)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KUnitTest::TestResults</name>
    <filename>classKUnitTest_1_1TestResults.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>5b36078bb4faf886800e5e907d6f87ce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addDebugInfo</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>48a34321fbc4d0629d1b5befaf689bad</anchor>
      <arglist>(const QString &amp;debug)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>debugInfo</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>ecfcd08c0e4c33e76180c9fd8e8dd1da</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>testsFinished</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>3e5fba6de31feb41a69ad1edf4eda319</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>errors</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>9ad030e7703f192ad710661fb1251501</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>xfails</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>3ff3df9b8c6715baca9d869ff9b3f52d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>xpasses</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>8d18d0cc04ad0a5685f2fe3ced4a76b8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>skipped</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>dfb6d89cb61b5f0de33a64d901075cf2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>passed</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>2b305cad31221b45b491c13f48cb5b85</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>errorList</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>c356f62f0fc82be7775350f19182c525</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>xfailList</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>4dea747d02b25d83eee17460e023dd4a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>xpassList</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>bc4ca5d8d034aa46321ebd95659feb70</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>skipList</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>33d07b3b222987031d28c37f2ff8a8ff</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>successList</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>c783baabe966c41ec6f3057e51890d51</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Tester</name>
      <anchorfile>classKUnitTest_1_1TestResults.html</anchorfile>
      <anchor>8da748c2b0afd5c6b23e931591f217de</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KUnitTest::Tester</name>
    <filename>classKUnitTest_1_1Tester.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>Tester</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>476f5954da1827a11c0d63ae582d3817</anchor>
      <arglist>(const char *name=0L)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>allTests</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>fe8bb74f8b4ffa16de35295745521ec3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TestResults *</type>
      <name>results</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>15f8d8d441fef63d312bcc303c249024</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>skip</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>f11af6833fe78c3e75b2bff19696658a</anchor>
      <arglist>(const char *file, int line, QString msg)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>check</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>6235623cf49304040e1f730d846e053c</anchor>
      <arglist>(const char *file, int line, const char *str, const T &amp;result, const T &amp;expectedResult, bool expectedFail)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>success</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>a0426549c18f8202a299b962cf3439f7</anchor>
      <arglist>(const QString &amp;message)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>failure</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>c6766b0dd559139fbe63ca7a9a51dd45</anchor>
      <arglist>(const QString &amp;message)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>expectedFailure</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>76b79cbb6eeaa404e33cc1896195cdd1</anchor>
      <arglist>(const QString &amp;message)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>unexpectedSuccess</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>ec2ccc17cdbb1a5991bc4648530daebe</anchor>
      <arglist>(const QString &amp;message)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>skipTest</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>bc4f86c944cab5de4c66880f1a8abe2a</anchor>
      <arglist>(const QString &amp;message)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setExceptionRaised</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>e5ac649eceaabf3437aeecb26984bbb8</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>exceptionRaised</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>e5bd5ef1083bd8b16e1335c568cbd5d4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TestResults *</type>
      <name>m_results</name>
      <anchorfile>classKUnitTest_1_1Tester.html</anchorfile>
      <anchor>c57e968a3e9cec226d8cd7a82129948f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KUnitTest::SlotTester</name>
    <filename>classKUnitTest_1_1SlotTester.html</filename>
    <base>KUnitTest::Tester</base>
    <member kind="signal">
      <type>void</type>
      <name>invoke</name>
      <anchorfile>classKUnitTest_1_1SlotTester.html</anchorfile>
      <anchor>f0b7f2566297d47c3e92c3f2b010c549</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>SlotTester</name>
      <anchorfile>classKUnitTest_1_1SlotTester.html</anchorfile>
      <anchor>4972e1f28de09d3aa24abccad3332530</anchor>
      <arglist>(const char *name=0L)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>allTests</name>
      <anchorfile>classKUnitTest_1_1SlotTester.html</anchorfile>
      <anchor>0eef2178fb1996e722ee66b93ae2c0df</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TestResults *</type>
      <name>results</name>
      <anchorfile>classKUnitTest_1_1SlotTester.html</anchorfile>
      <anchor>e4594b5ec627484dddd6e8bca0274209</anchor>
      <arglist>(const char *sl)</arglist>
    </member>
    <member kind="function">
      <type>TestResultsListType &amp;</type>
      <name>resultsList</name>
      <anchorfile>classKUnitTest_1_1SlotTester.html</anchorfile>
      <anchor>1e8d073fc61a1ed4e3b9484596a2f89e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
